Subject: Re: bug#76248: [Feature Request] user-option for killing buffer in `quit-window'.

From: Elijah Gabe Perez <[email-masked]>
Date: Sat, 15 Feb 2025 13:18:32 -0600

martin rudalics via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

>> Wouldn't it be more convenient to put this into the let varlist?
>
> It would be more convenient ...
>
>> +  (let ((kill-from-mode
>> +         (or (eq quit-window-kill-buffer-modes t)
>> +		      (and (listp quit-window-kill-buffer-modes)
>> +		           (derived-mode-p quit-window-kill-buffer-modes)))))
>>
>>
>> ... or is there something i'm missing?
>
> ... but 'derived-mode-p' says to
>
>  "Return non-nil if the current major mode is derived from one of MODES.
>
> so I have to make the buffer current first via 'with-current-buffer' and
> only then I can call 'derived-mode-p'.

I see, thanks for the clarification.

-- 
                                                   - E.G via GNU Emacs.